org.apache.avro

## Class UnresolvedUnionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.avro.AvroRuntimeException
        - - org.apache.avro.UnresolvedUnionException

- All Implemented Interfaces:
    Serializable

      public class UnresolvedUnionException
      extends AvroRuntimeException

  Thrown when the expected contents of a union cannot be resolved.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnresolvedUnionException(Schema unionSchema, Object unresolvedDatum)`
    `UnresolvedUnionException(Schema unionSchema, Schema.Field field, Object unresolvedDatum)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Schema` | `getUnionSchema()`
    `Object` | `getUnresolvedDatum()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnresolvedUnionException

          public UnresolvedUnionException(Schema unionSchema,
                                          Object unresolvedDatum)

    - #### UnresolvedUnionException

          public UnresolvedUnionException(Schema unionSchema,
                                          Schema.Field field,
                                          Object unresolvedDatum)

  - ### Method Detail

    - #### getUnresolvedDatum

          public Object getUnresolvedDatum()

    - #### getUnionSchema

          public Schema getUnionSchema()

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.